Bug 1119946 - /usr/include/libdevmapper.h:1663:13: error: duplicate 'const'
Summary: /usr/include/libdevmapper.h:1663:13: error: duplicate 'const'
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 22:42 UTC by Sergio Monteiro Basto
Modified: 2014-07-25 15:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 23:33:00 UTC


Attachments (Terms of Use)
pacth (566 bytes, text/plain)
2014-07-15 22:42 UTC, Sergio Monteiro Basto
no flags Details

Description Sergio Monteiro Basto 2014-07-15 22:42:54 UTC
Created attachment 918269 [details]
pacth

Description of problem:

code in /usr/include/libdevmapper.h got a typo in line 1663 
we got:
       const void const *value;        /* reserved value:

and should got:
       const void *value;      /* reserved value:

Comment 1 Sergio Monteiro Basto 2014-07-15 22:50:39 UTC
we can't compile things that use /usr/include/libdevmapper.h ! in my case VirtualBox

Comment 2 Alasdair Kergon 2014-07-15 23:33:00 UTC
Already fixed upstream
https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=100342605ce4a304b397665682d2ec555af5aa27
so next rawhide build will pick this up

Comment 3 Sergio Monteiro Basto 2014-07-16 09:46:32 UTC
(In reply to Alasdair Kergon from comment #2)
> so next rawhide build will pick this up

when we have a new rawhide build ?  this is critical I can't compile VirtualBox until then

Comment 4 Sergio Monteiro Basto 2014-07-17 16:42:59 UTC
(In reply to Sergio Monteiro Basto from comment #3)
> (In reply to Alasdair Kergon from comment #2)
> > so next rawhide build will pick this up
> 
> when we have a new rawhide build ?  this is critical I can't compile
> VirtualBox until then

I need recompile VirtualBox for rawhide / F21 on RPMFusion , because x11-server-abi changed and the current VirtualBox-guest need be rebuild to match this new xorg ABI.

Comment 5 Andrew Gunnerson 2014-07-24 15:19:05 UTC
(In reply to Sergio Monteiro Basto from comment #4)
> I need recompile VirtualBox for rawhide / F21 on RPMFusion , because
> x11-server-abi changed and the current VirtualBox-guest need be rebuild to
> match this new xorg ABI.

It looks like the new device-mapper/lvm2 package was updated yesterday [1] and built too [2], though I'm not sure when it'll hit the repos.

[1] http://pkgs.fedoraproject.org/cgit/lvm2.git/commit/?id=1393db588bae1729dea4015150b0d12b19b55173
[2] http://koji.fedoraproject.org/koji/buildinfo?buildID=547594

Comment 6 Sergio Monteiro Basto 2014-07-24 23:57:27 UTC
(In reply to Xiao-Long Chen from comment #5)
> (In reply to Sergio Monteiro Basto from comment #4)
> > I need recompile VirtualBox for rawhide / F21 on RPMFusion , because
> > x11-server-abi changed and the current VirtualBox-guest need be rebuild to
> > match this new xorg ABI.
> 
> It looks like the new device-mapper/lvm2 package was updated yesterday [1]
> and built too [2], though I'm not sure when it'll hit the repos.
> 
> [1]
> http://pkgs.fedoraproject.org/cgit/lvm2.git/commit/
> ?id=1393db588bae1729dea4015150b0d12b19b55173
> [2] http://koji.fedoraproject.org/koji/buildinfo?buildID=547594

yes , already hit rawhide repos and mirrors and fix this bug.  
Unfortunately rpmfusion use F21 for devel/rawhide builds, I just confirm it today . So when we have a new lvm2 build for F21 ?

Comment 7 Alasdair Kergon 2014-07-25 00:02:57 UTC
I can do that too now.

Comment 8 Sergio Monteiro Basto 2014-07-25 15:50:46 UTC
Hi, 
Builds done (on rpmfusion) . 
Many thanks,


Note You need to log in before you can comment on or make changes to this bug.